Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class CreateObjectMeta

    java.lang.Object
      com.sun.mdm.index.query.CreateObjectMeta

class CreateObjectMeta
extends java.lang.Object

This data structure contains attributes for each object that is created by Assembler Engine and these attributes are used during assembling process. All of these attributes are derived from SQLDescriptor. These attributes are never modified during assembling. In other words the collection of these objects is unique to a particular QueryObject. During assembling initialization, these attributes are copied to QueryResultSet.CurrentObject which contains some attributes that are particular to an instance of JDBC ResultSet.

Constructor Summary
`(package private)` | `CreateObjectMeta(ValueMetaNode valueMetaNode)` Creates a new instance of CreateObjectMeta

Method Summary
`(package private) AssembleObjectState` | `getAssembleObjectState()`
`(package private) java.lang.String[]` | `getAttributes()`
`(package private) int` | `getAttrIndexHigh()`
`(package private) int` | `getAttrIndexLow()`
`(package private) int` | `getChildIndex()`
`(package private) java.lang.Integer[]` | `getKeyIndices()`
`(package private) java.lang.String` | `getObjName()`
`(package private) java.lang.Integer[]` | `getParentKeyIndices()`
`(package private) AssembleObjectState` | `getParentObjectState()`
`(package private) ValueMetaNode` | `getValueMetaNode()`
`(package private) void` | `setAssembleObjectState(AssembleObjectState assObjState)`
`(package private) void` | `setAttributes(java.lang.String[] attributes)`
`(package private) void` | `setAttrIndexHigh(int attrIndexHigh)`
`(package private) void` | `setAttrIndexLow(int attrIndexLow)`
`(package private) void` | `setChildIndex(int index)`
`(package private) void` | `setCreateFlag(boolean createFlag)`
`(package private) void` | `setKeyIndices(java.lang.Integer[] keyIndices)`
`(package private) void` | `setParentKeyIndices(java.lang.Integer[] parentIndices)`
`(package private) void` | `setParentObjectState(AssembleObjectState assObjState)`
`(package private) void` | `setValueMetaNode(ValueMetaNode valueMetaNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateObjectMeta

    CreateObjectMeta(ValueMetaNode valueMetaNode)

  Creates a new instance of CreateObjectMeta

  Parameters:
    `valueMetaNode` -

Method Detail

### getAssembleObjectState

    final AssembleObjectState getAssembleObjectState()

### getAttributes

    final java.lang.String[] getAttributes()

### getAttrIndexHigh

    final int getAttrIndexHigh()

### getAttrIndexLow

    final int getAttrIndexLow()

### getChildIndex

    final int getChildIndex()

### getKeyIndices

    final java.lang.Integer[] getKeyIndices()

### getObjName

    final java.lang.String getObjName()

### getParentKeyIndices

    final java.lang.Integer[] getParentKeyIndices()

### getParentObjectState

    final AssembleObjectState getParentObjectState()

### getValueMetaNode

    final ValueMetaNode getValueMetaNode()

### setAssembleObjectState

    final void setAssembleObjectState(AssembleObjectState assObjState)

### setAttributes

    final void setAttributes(java.lang.String[] attributes)

### setAttrIndexHigh

    final void setAttrIndexHigh(int attrIndexHigh)

### setAttrIndexLow

    final void setAttrIndexLow(int attrIndexLow)

### setChildIndex

    final void setChildIndex(int index)

### setCreateFlag

    final void setCreateFlag(boolean createFlag)

### setKeyIndices

    final void setKeyIndices(java.lang.Integer[] keyIndices)

### setParentKeyIndices

    final void setParentKeyIndices(java.lang.Integer[] parentIndices)

### setParentObjectState

    final void setParentObjectState(AssembleObjectState assObjState)

### setValueMetaNode

    final void setValueMetaNode(ValueMetaNode valueMetaNode)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.